API DocumentationShipments

Attach a shipment document

POST
/api/manufacturer/v1/order/{orderId}/shipments/{shipmentId}/documents

Attaches a file to a shipment. Files larger than 25 MB are rejected.

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

orderId*integer

ID of the order the shipment belongs to

shipmentId*string

ID of the shipment to attach the document to

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/manufacturer/v1/order/1/shipments/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents" \  -F file="string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "contentType": "string",  "size": 0,  "uploadedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "displayName": "string"  },  "createdAt": "2019-08-24T14:15:22Z"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}